Subject: Re: 10GBE performance drop with net.ipv4.tcp_timestamps=0

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Wed, 20 Jun 2012 11:33:50 +0200

Am 20.06.2012 11:28, schrieb Eric Dumazet:
> On Wed, 2012-06-20 at 11:25 +0200, Stefan Priebe - Profihost AG wrote:
>> Am 20.06.2012 11:17, schrieb Eric Dumazet:
>>> On Wed, 2012-06-20 at 11:12 +0200, Stefan Priebe - Profihost AG wrote:
>>>> Am 20.06.2012 11:06, schrieb Stefan Priebe - Profihost AG:
>>>>>> You seem to have a switch or something that drops packets in this case.
>>>>>> You could try to rate limit to 9Gb/s and see if it is better.
>>>>> Sadly i can't rate limit to 9Gbit/s on the switch.
>>
>>> If you exchange sender/receiver role between linux kernel versions, is
>>> it the same problem ?
>> I'm testing in both directions. So both are sending and receiving.
>>
>> I've now made tests with only one sending an the other receiving.
>>
>> When server B is the sender i get 4Gbit/s. When server A is the sender i
>> get full 9,9Gbit/s.
>>
> To rule out bad hardware, could you try a 3.5-rc3 kernel on B ?

Sure. In that case i get 4Gbit/s in both variants. I also tried two 
other different machines same result.

Stefan